Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# TQCanvasPolygon Class Reference
[canvas module]

The TQCanvasPolygon class provides a polygon on a TQCanvas. More...

`#include <ntqcanvas.h>`

Inherits TQCanvasPolygonalItem.

Inherited by TQCanvasSpline.

List of all member functions.

## Public Members

- TQCanvasPolygon ( TQCanvas * canvas )
- ~TQCanvasPolygon ()
- void setPoints ( TQPointArray pa )
- TQPointArray points () const
- virtual TQPointArray areaPoints () const
- virtual int rtti () const

## Protected Members

- virtual void drawShape ( TQPainter & p )

## Detailed Description

The TQCanvasPolygon class provides a polygon on a TQCanvas.

Paints a polygon with a TQBrush. The polygon's points can be set in the constructor or set or changed later using setPoints(). Use points() to retrieve the points, or areaPoints() to retrieve the points relative to the canvas's origin.

The polygon can be drawn on a painter with drawShape().

Like any other canvas item polygons can be moved with TQCanvasItem::move() and TQCanvasItem::moveBy(), or by setting coordinates with TQCanvasItem::setX(), TQCanvasItem::setY() and TQCanvasItem::setZ().

Note: TQCanvasPolygon does not use the pen.

See also Graphics Classes and Image Processing Classes.

## Member Function Documentation

### TQCanvasPolygon::TQCanvasPolygon ( TQCanvas * canvas )

Constructs a point-less polygon on the canvas canvas. You should call setPoints() before using it further.

### TQCanvasPolygon::~TQCanvasPolygon ()

Destroys the polygon.

### TQPointArray TQCanvasPolygon::areaPoints () const`[virtual]`

Returns the vertices of the polygon translated by the polygon's current x(), y() position, i.e. relative to the canvas's origin.

See also setPoints() and points().

Reimplemented from TQCanvasPolygonalItem.

### void TQCanvasPolygon::drawShape ( TQPainter & p )`[virtual protected]`

Draws the polygon using the painter p.

Note that TQCanvasPolygon does not support an outline (the pen is always NoPen).

Reimplemented from TQCanvasPolygonalItem.

### TQPointArray TQCanvasPolygon::points () const

Returns the vertices of the polygon, not translated by the position.

See also setPoints() and areaPoints().

### int TQCanvasPolygon::rtti () const`[virtual]`

Returns 4 (TQCanvasItem::Rtti_Polygon).

See also TQCanvasItem::rtti().

Reimplemented from TQCanvasPolygonalItem.

Reimplemented in TQCanvasSpline.

### void TQCanvasPolygon::setPoints ( TQPointArray pa )

Sets the points of the polygon to be pa. These points will have their x and y coordinates automatically translated by x(), y() as the polygon is moved.

This file is part of the TQt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.